const path = require('path');
const config = require('../index.js');

// bundle后的目录结构 src/web_inf/APP_SYSTEM/{dev|online}
module.exports = {
  path: path.resolve(config.project_root, config[config.NODE_ENV + '_dist']),
  filename: config.NODE_ENV === 'development' ? 'js/[name].js' : 'js/[name].[chunkhash:16].js',
  chunkFilename: 'chunk/js/[chunkhash:16].js',
  libraryTarget: 'umd',
  publicPath: config.NODE_ENV === 'development' && config.devPublicPath ? config.devPublicPath : '/',
};
